Lybic Docs

Create Sandbox Shell

POST
/api/orgs/{orgId}/sandboxes/{sandboxId}/shell

Path Parameters

sandboxId*string

沙箱 ID

orgId*string

组织 ID

Request Body

application/json

command*string

The command to execute in the shell.

Length1 <= length
useTty?boolean

Whether to use a TTY for the shell session.

Defaultfalse
timeoutSeconds?number

Optional timeout for the shell session in seconds.

Range1 <= value <= 86400
workingDirectory?string

Optional working directory for the shell session.

ttyRows?number

Number of rows for TTY (if useTty is true).

Range1 <= value
ttyCols?number

Number of columns for TTY (if useTty is true).

Range1 <= value

Response Body

application/json

curl -X POST "https://loading/api/orgs/string/sandboxes/string/shell" \  -H "Content-Type: application/json" \  -d '{    "command": "string"  }'
{
  "sessionId": "string"
}